Skip to main content
POST
Network flow tree

Authorizations

Authorization
string
header
required

Enter "Bearer {token}"

Headers

X-CostGraph-Tenant-ID
string
required

Tenant ID

Query Parameters

period
enum<string>

Cost period; defaults to month_to_date

Available options:
month_to_date,
last_7d,
last_30d,
calendar_month,
custom
month
string

Closed calendar month in YYYY-MM format; required when period=calendar_month

start
string

Window start in RFC3339 format; required when period=custom

end
string

Window end in RFC3339 format; required when period=custom

Body

application/json

Dimensions to nest by (group_by), filters as dimension -> values, sort_by (cost|bytes), group_limit and group_offset

filter
object
group_by
string[]
group_limit
integer | null
group_offset
integer
Required range: x >= 0
scope
string[]
sort_by
enum<string>
Available options:
cost,
bytes

Response

OK

message
string
required
Example:

"some message"

status
string
required
Example:

"success"

data
object